RDCode: RDKit::AtomIterator_< Atom_, Mol_, PMAP_ > Class Template Reference

# RDKit::AtomIterator_< Atom_, Mol_, PMAP_ > Class Template Reference

A general random access iterator. More...

`#include <AtomIterators.h>`

List of all members.

## Public Types
typedef AtomIterator_< Atom_, Mol_, PMAP_ > | ThisType
## Public Member Functions
| AtomIterator_ ()
| AtomIterator_ (Mol_ *mol)
| AtomIterator_ (Mol_ *mol, int pos)
| AtomIterator_ (const ThisType &other)
AtomIterator_ & | operator= (const ThisType &other)
AtomIterator_ & | operator+= (int val)
AtomIterator_ & | operator-= (int val)
AtomIterator_ | operator+ (int val)
AtomIterator_ | operator- (int val)
int | operator- (ThisType &other)
Atom_ * | operator* ()
Atom_ * | operator[] (const int which)
bool | operator== (const ThisType &other)
bool | operator!= (const ThisType &other)
bool | operator< (const ThisType &other)
bool | operator<= (const ThisType &other)
bool | operator> (const ThisType &other)
bool | operator>= (const ThisType &other)
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

### template<class Atom_, class Mol_, class PMAP_>
class RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >

A general random access iterator.

Definition at line 25 of file AtomIterators.h.

## Member Typedef Documentation

template<class Atom_, class Mol_, class PMAP_>

typedef AtomIterator_<Atom_,Mol_,PMAP_> RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::ThisType

Definition at line 27 of file AtomIterators.h.

## Constructor & Destructor Documentation

template<class Atom_, class Mol_, class PMAP_>

RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::AtomIterator_ | ( |  | ) | `[inline]`

Definition at line 28 of file AtomIterators.h.

template<class Atom_, class Mol_, class PMAP_>

RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::AtomIterator_ | ( | Mol_ * | mol | ) |

template<class Atom_, class Mol_, class PMAP_>

RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::AtomIterator_ | ( | Mol_ * | mol,
|  | int | pos |
| ) |  |  |

template<class Atom_, class Mol_, class PMAP_>

RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::AtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

template<class Atom_, class Mol_, class PMAP_>

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator+= | ( | int | val | ) |

template<class Atom_, class Mol_, class PMAP_>

AtomIterator_& RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator-= | ( | int | val | ) |

template<class Atom_, class Mol_, class PMAP_>

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator+ | ( | int | val | ) |

template<class Atom_, class Mol_, class PMAP_>

AtomIterator_ RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator- | ( | int | val | ) |

template<class Atom_, class Mol_, class PMAP_>

int RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator- | ( | ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

Atom_* RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator* | ( |  | ) |

template<class Atom_, class Mol_, class PMAP_>

Atom_* RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator[] | ( | const int | which | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator== | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator!= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator< | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator<= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator> | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

bool RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator>= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_, class PMAP_>

ThisType& RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator++ | ( |  | ) |

template<class Atom_, class Mol_, class PMAP_>

ThisType RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator++ | ( | int |  | ) |

template<class Atom_, class Mol_, class PMAP_>

ThisType& RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator-- | ( |  | ) |

template<class Atom_, class Mol_, class PMAP_>

ThisType RDKit::AtomIterator_< Atom_, Mol_, PMAP_ >::operator-- | ( | int |  | ) |

The documentation for this class was generated from the following file:

- AtomIterators.h